=== src/test/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(rostests)
