=== debian/changelog ===
ros-kinetic-cost-map-demos (0.3.3-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 02 Jan 2018 03:36:06 -0000

ros-kinetic-cost-map-demos (0.3.0-0xenial) xenial; urgency=high

  * launchers and tests for Costmap2DROS conversions
  * image bundling extended to handle multiple layers

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 27 Dec 2016 05:00:00 -0000

ros-kinetic-cost-map-demos (0.2.0-0xenial) xenial; urgency=high

  * initial suite of demos

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 25 Aug 2016 04:00:00 -0000
