=== debian/control ===
Source: ros-kinetic-cost-map-demos
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cost-map-ros, ros-kinetic-cost-map-visualisations, ros-kinetic-costmap-2d, ros-kinetic-ecl-build, ros-kinetic-ecl-console, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cost-map-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cost-map-ros, ros-kinetic-cost-map-visualisations, ros-kinetic-costmap-2d, ros-kinetic-ecl-build, ros-kinetic-ecl-console, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-rviz, ros-kinetic-tf
Description: Demonstrations for cost maps.
